## org.openmuc.jasn1.ber
Class BerLength

    java.lang.Object
      org.openmuc.jasn1.ber.BerLength

    public class BerLength

extends java.lang.Object

Field Summary
`int` `val`

Constructor Summary
`BerLength()`

Method Summary
`int` `decode(java.io.InputStream iStream)`
`static int` `encodeLength(BerByteArrayOutputStream berOStream, int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### val

    public int val

Constructor Detail

### BerLength

    public BerLength()

Method Detail

### decode

    public int decode(java.io.InputStream iStream)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeLength

    public static int encodeLength(BerByteArrayOutputStream berOStream,
                                   int length)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`